org.apache.lucene.benchmark.byTask.tasks

## Class AddFacetedDocTask

- java.lang.Object
- - org.apache.lucene.benchmark.byTask.tasks.PerfTask
  - - org.apache.lucene.benchmark.byTask.tasks.AddDocTask
    - - org.apache.lucene.benchmark.byTask.tasks.AddFacetedDocTask

All Implemented Interfaces:
  Cloneable

    public class AddFacetedDocTask
    extends AddDocTask

Add a faceted document.

Config properties:

- with.facets=<tells whether to actually add any facets to the document| Default: true>
  This config property allows to easily compare the performance of adding docs with and without facets. Note that facets are created even when this is false, just that they are not added to the document (nor to the taxonomy).

See `AddDocTask` for general document parameters and configuration.

Makes use of the `FacetSource` in effect - see `PerfRunData` for facet source settings.

### Field Summary

### Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.AddDocTask

`doc`

### Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

`logStep, NEW_LINE, params, stopNow`

### Constructor Summary

Constructors
Constructor and Description
`AddFacetedDocTask(PerfRunData runData)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `doLogic()` Perform the task once (ignoring repetitions specification) Return number of work items done by this task.
`protected String` `getLogMessage(int recsCount)`
`void` `setup()` Task setup work that should not be measured for that specific task.

### Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.AddDocTask

`setParams, supportsParams, tearDown`

### Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

`clone, close, getAlgLineNum, getBackgroundDeltaPriority, getDepth, getName, getParams, getRunData, getRunInBackground, isDisableCounting, runAndMaybeStats, setAlgLineNum, setDepth, setDisableCounting, setName, setRunInBackground, shouldNeverLogAtStart, shouldNotRecordStats, stopNow, toString`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AddFacetedDocTask

    public AddFacetedDocTask(PerfRunData runData)

### Method Detail

#### setup

    public void setup()
               throws Exception

Description copied from class: `PerfTask`
Task setup work that should not be measured for that specific task. By default it does nothing, but tasks can implement this, moving work from `PerfTask.doLogic()` to this method. Only the work done in `PerfTask.doLogic()` is measured for this task. Notice that higher level (sequence) tasks containing this task would then measure larger time than the sum of their contained tasks.

Overrides:
  `setup` in class `AddDocTask`
Throws:
  `Exception`

#### getLogMessage

    protected String getLogMessage(int recsCount)

Overrides:
  `getLogMessage` in class `AddDocTask`

#### doLogic

    public int doLogic()
                throws Exception

Description copied from class: `PerfTask`
Perform the task once (ignoring repetitions specification) Return number of work items done by this task. For indexing that can be number of docs added. For warming that can be number of scanned items, etc.

Overrides:
  `doLogic` in class `AddDocTask`
Returns:
  number of work items done by this task.
Throws:
  `Exception`